Name:           flite
Version:        1.3
Release:        33
Summary:        A small, fast run time synthesis engine
License:        MIT
URL:            http://www.speech.cs.cmu.edu/flite/
Source0:        http://www.speech.cs.cmu.edu/flite/packed/flite-%{version}/flite-%{version}-release.tar.gz
Source1:        README-ALSA.txt
BuildRequires:  texi2html autoconf automake libtool ed alsa-lib-devel

Patch0000:      flite-1.3-sharedlibs.patch
Patch0001:      flite-1.3-doc_texinfo.patch
Patch0002:      flite-1.3-alsa_support.patch
Patch0003:      flite-1.3-implicit_dso_linking.patch
Patch0004:      0001-auserver.c-Only-write-audio-data-to-a-file-in-debug-.patch
Patch0005:      flite-0001-Fixed-texi2html-ambiguity.patch

%description
Flite was primarily developed to address one of the most common complaints
about the Festival Speech Synthesis System. Festival is large and slow, even
with the software bloat common amongst most products and that that bloat has
helped machines get faster, have more memory and large disks, still Festival
is criticized for its size.

%package        devel
Summary:        Development files for flite
Requires:       flite = %{version}-%{release}

%description    devel
Development files for Flite, a small, fast speech synthesis engine.

%prep
%autosetup -n flite-%{version}-release -p1
install -p %{SOURCE1} .
%build
autoreconf -vif
%configure  --enable-shared --with-audio=alsa
make
cd doc
%make_build flite.html
%install
%make_install INSTALLBINDIR=%{buildroot}%{_bindir} INSTALLLIBDIR=%{buildroot}%{_libdir}  INSTALLINCDIR=%{buildroot}%{_includedir}/flite
%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING ACKNOWLEDGEMENTS README doc/html README-ALSA.txt
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_libdir}/*.so
%{_includedir}/flite

%changelog
* Thu Dec 12 2019 Ling Yang <lingyang2@huawei.com> - 1.3-33
- Package init
